cvmfs-virgo-frame-heartbeats-gpus:
  crondor:
    submit-description:
      universe: "local"
      getenv: "PATH"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-cvmfs-virgo-gpu-sites.yaml make-dags --submit-dags"
      cron_hour: "*/3"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
      - job: "datafind"
        submit-description:
          universe: "vanilla"
          executable: "/cvmfs/software.igwn.org/conda/envs/igwn/bin/python"
          transfer_executable: "True"
          should_transfer_files: "YES"
          arguments: "-m gwdatafind --observatory $(observatory) --type $(frametype) -s $(gpsstart) -e $(gpsend) --server=datafind.ligo.org --url-type $(urltype) --output-file $(datafind_output)"
          transfer_output_files: "$(datafind_output)"
          when_to_transfer_output: "ON_SUCCESS"
          success_exit_code: "0"
          use_oauth_services: "$(token_str)"
          request_cpus: "1"
          request_memory: "100 MB"
          request_disk: "100 MB"
          MY.DESIRED_Sites: "nogrid"
          MY.flock_local: "True"
          MY.PoolExorciser: "True"
          MY.PoolExorciserTest: "True"
          MY.TestFunction: "Datafind-Virgo-CVMFS"
          MY.TestType: "Heartbeats"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.test"
          MY.PoolExorciser: "True"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (1 * 3600)"
      - job: "read-frames"
        submit-description:
          universe: "vanilla"
          executable: "/home/james.clark/Projects/igwn-pool-exorciser/apps/read_frames_cvmfs"
          arguments: "$(pfn_list)"
          should_transfer_files: "YES"
          transfer_executable: "True"
          transfer_input_files: "$(pfn_list)"
          use_oauth_services: "$(token_str)"
          request_cpus: "1"
          request_gpus: "1"
          request_memory: "2 GB"
          request_disk: "4 GB"
          requirements: "HAS_CVMFS_IGWN_PRIVATE_DATA && HAS_CVMFS_software_igwn_org"
          environment: "BEARER_TOKEN_FILE=$$(CondorScratchDir)/.condor_creds/$(token_str).use"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.test"
          #MY.flock_local: "False"
          MY.PoolExorciser: "True"
          MY.PoolExorciserTest: "True"
          MY.TestFunction: "ReadFrames-Virgo-CVMFS"
          MY.TestType: "Heartbeats"
          MY.DESIRED_Sites: "$(DESIRED_Sites)"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (1 * 3600)"
    dag:
      plugin: "frame_access"
      mode: "gpu"
      sites: "all"
      njobs-per-site: 5
      #sites: "any"
      #njobs: 10
      token-str: "scitokens"
      # datafind
      observatory: "V"
      frametype: "V1Online"
      gpsstart: "1368975618"
      gpsend: "2000000000"
      urltype: "file"
      datafind-output: "virgo-datafind-cvmfs.urls"
      num-urls: 3
      # readframes
      # readframes
      read-frames-input-pattern: "read-frames"

cvmfs-virgo-frame-capacity-gpus:
  crondor:
    submit-description:
      universe: "local"
      getenv: "PATH"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-cvmfs-virgo-gpu-sites.yaml make-dags --submit-dags"
      cron_hour: "0"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
      - job: "datafind"
        submit-description:
          universe: "vanilla"
          executable: "/cvmfs/software.igwn.org/conda/envs/igwn/bin/python"
          transfer_executable: "True"
          should_transfer_files: "YES"
          arguments: "-m gwdatafind --observatory $(observatory) --type $(frametype) -s $(gpsstart) -e $(gpsend) --server=datafind.ligo.org --url-type $(urltype) --output-file $(datafind_output)"
          transfer_output_files: "$(datafind_output)"
          when_to_transfer_output: "ON_SUCCESS"
          success_exit_code: "0"
          use_oauth_services: "$(token_str)"
          request_cpus: "1"
          request_memory: "100 MB"
          request_disk: "100 MB"
          MY.DESIRED_Sites: "nogrid"
          MY.flock_local: "True"
          MY.PoolExorciserTest: "True"
          MY.TestFunction: "Datafind-Virgo-CVMFS"
          MY.TestType: "Capacity"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.test"
          MY.PoolExorciser: "True"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (1 * 3600)"
      - job: "read-frames"
        submit-description:
          universe: "vanilla"
          executable: "/home/james.clark/Projects/igwn-pool-exorciser/apps/read_frames_cvmfs"
          arguments: "$(pfn_list)"
          should_transfer_files: "YES"
          transfer_executable: "True"
          transfer_input_files: "$(pfn_list)"
          use_oauth_services: "$(token_str)"
          request_cpus: "1"
          request_gpus: "1"
          request_memory: "2 GB"
          request_disk: "4 GB"
          requirements: "HAS_CVMFS_IGWN_PRIVATE_DATA && HAS_CVMFS_software_igwn_org"
          environment: "BEARER_TOKEN_FILE=$$(CondorScratchDir)/.condor_creds/$(token_str).use"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.test"
          #MY.flock_local: "False"
          MY.PoolExorciser: "True"
          MY.PoolExorciserTest: "True"
          MY.TestFunction: "ReadFrames-Virgo-CVMFS"
          MY.TestType: "Capacity"
          MY.DESIRED_Sites: "$(DESIRED_Sites)"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (3 * 3600)"
    dag:
      plugin: "frame_access"
      mode: "gpu"
      #njobs-per-site: 10
      #sites: "all"
      sites: "any"
      njobs: 100
      token-str: "scitokens"
      # datafind
      observatory: "V"
      frametype: "V1Online"
      gpsstart: "1368975618"
      gpsend: "2000000000"
      urltype: "file"
      datafind-output: "virgo-datafind-cvmfs.urls"
      num-urls: 3
      # readframes
      # readframes
      read-frames-input-pattern: "read-frames"

